sequence.sequenceinterface

## Interface SortableSequence

- All Superinterfaces:
    BaseSequence, CommonBase, Sequence

      public interface SortableSequence
      extends Sequence

  Specifikace seřaditelné posloupnosti.

  Popis: interface seřaditelné posloupnosti

  Užití: deklarujte proměnné, implementujte třídou

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberReference` | `getFirstRef()` Vrátí odkaz na první člen posloupnosti.
    `MemberReference` | `getLastRef()` Vrátí odkaz na poslední člen posloupnosti.
    `ShallowSequence` | `makeLowerHalfSequence()` Vyrobí mělkou kopii posloupnosti obsahující spodní polovinu.
    `ShallowSequence` | `makeShrinkSequence()` Vyrobí mělkou kopii celé posloupnosti.
    `ShallowSequence` | `makeStretchDownSequence()` Vyrobí mělkou kopii posloupnosti obsahující poslední člen.
    `ShallowSequence` | `makeStretchUpSequence()` Vyrobí mělkou kopii posloupnosti obsahující první člen.
    `ShallowSequence` | `makeUpperHalfSequence()` Vyrobí mělkou kopii posloupnosti obsahující horní polovinu.

    - ### Methods inherited from interface sequence.sequenceinterface.Sequence

      `append, insert, isFirst, isLast, moveFirst, moveLast, moveNext, movePrev, moveTo, remove`

    - ### Methods inherited from interface sequence.sequenceinterface.BaseSequence

      `getCount, isEmpty, isFull`

    - ### Methods inherited from interface list.listinterface.CommonBase

      `getElement, getMoveCounter, resetMoveCounter, setElement`

- - ### Method Detail

    - #### getFirstRef

          MemberReference getFirstRef()

      Vrátí odkaz na první člen posloupnosti. Dá se porovnat s jiným odkazem.
      Returns:
        odkaz na první člen posloupnosti

    - #### getLastRef

          MemberReference getLastRef()

      Vrátí odkaz na poslední člen posloupnosti. Dá se porovnat s jiným odkazem.
      Returns:
        odkaz na poslední člen posloupnosti

    - #### makeShrinkSequence

          ShallowSequence makeShrinkSequence()

      Vyrobí mělkou kopii celé posloupnosti.
      Returns:
        mělká kopie celé posloupnosti

    - #### makeStretchUpSequence

          ShallowSequence makeStretchUpSequence()

      Vyrobí mělkou kopii posloupnosti obsahující první člen.
      Returns:
        mělká kopie posloupnosti obsahující první člen

    - #### makeStretchDownSequence

          ShallowSequence makeStretchDownSequence()

      Vyrobí mělkou kopii posloupnosti obsahující poslední člen.
      Returns:
        mělká kopie posloupnosti obsahující poslední člen

    - #### makeLowerHalfSequence

          ShallowSequence makeLowerHalfSequence()

      Vyrobí mělkou kopii posloupnosti obsahující spodní polovinu.
      Returns:
        mělká kopie posloupnosti obsahující spodní polovinu

    - #### makeUpperHalfSequence

          ShallowSequence makeUpperHalfSequence()

      Vyrobí mělkou kopii posloupnosti obsahující horní polovinu.
      Returns:
        mělká kopie posloupnosti obsahující horní polovinu